<?php
/* ==================================================
  Services Post Type Functions
  ================================================== */
if (!defined('ABSPATH'))
    exit; // Exit if accessed directly
add_action('init', 'solicitor_services_register');
function solicitor_services_register() {
global $service_post_slug, $service_post_title, $service_post_all, $service_post_categories, $service_category_slug, $service_archive;
	$args_c = array(
		"label" => $service_post_categories,
		"singular_label" => __('Service Category', "solicitor-core"),
		'public' => true,
		'hierarchical' => true,
		'show_ui' => true,
		'show_in_nav_menus' => true,
		'args' => array('orderby' => 'term_order'),
		'rewrite' => array(
			'slug' => $service_category_slug,
			'with_front' => false
		),
		'query_var' => true,
		'show_admin_column' => true,
	);
	register_taxonomy('service-category', 'service', $args_c);
    $labels = array(
		"name" => $service_post_title,
		'all_items'=> $service_post_all,
        'singular_name' => __('Service', 'solicitor-core'),
        'add_new' => __('Add New', 'solicitor-core'),
        'add_new_item' => __('Add New', 'solicitor-core'),
        'edit_item' => __('Edit', 'solicitor-core'),
        'new_item' => __('New', 'solicitor-core'),
        'view_item' => __('View', 'solicitor-core'),
        'search_items' => __('Search', 'solicitor-core'),
        'not_found' => __('Nothing found', 'solicitor-core'),
        'not_found_in_trash' => __('Nothing found in Trash', 'solicitor-core'),
        'parent_item_colon' => '',
    );
    $args = array(
        'labels' => $labels,
        'public' => true,
        'show_ui' => true,
        'show_in_menu' => true,
        'show_in_nav_menus' => true,
        'hierarchical' => false,
		'rewrite' => array(
			'slug' => $service_post_slug,
			'with_front' => false
		),
        'has_archive' => $service_archive,
        'supports' => array('title', 'thumbnail', 'author', 'editor', 'excerpt'),
		'menu_icon' => 'dashicons-chart-bar',
	
    );
    register_post_type('service', $args);
		register_taxonomy_for_object_type('service-category','service');
}
?>